[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TBlobField.SaveToStream

Save the field's contents to stream

## Declaration

Source position: db.pas line 928

`public procedure TBlobField.SaveToStream(`
`Stream: TStream`
`);`

## Arguments

`Stream` |  | Stream to save data to

## Description

SaveToStream can be used to save the contents of the field to a TStream descendent. The entire data of the field will be copied. The stream must of course support writing.

## Errors

If the stream is not writable, an exception will be raised.

## See also

SaveToFile |  | Save field contents to a file
LoadFromStream |  | Load the field's contents from stream